import 'package:flutter/material.dart';

class Fade extends StatefulWidget {
  final Duration duration;
  final Widget child;

  const Fade({
    super.key,
    required this.child,
    this.duration = const Duration(milliseconds: 500),
  });

  @override
  State<StatefulWidget> createState() {
    return _FadeTransitionState();
  }
}

class _FadeTransitionState extends State<Fade> with TickerProviderStateMixin {
  late final AnimationController _controller = AnimationController(
    vsync: this,
    duration: widget.duration,
  )..forward();

  late final Animation<double> _animation =
      // 补间动画
      //     Tween<double>(
      //   begin: 0,
      //   end: 1,
      // ).animate(_controller);

      // 线性动画
      CurvedAnimation(parent: _controller, curve: Curves.decelerate);

  @override
  void dispose() {
    _controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: Center(
        child: FadeTransition(
          opacity: _animation,
          child: widget.child,
        ),
      ),
    );
  }
}

Widget fade({
  required Widget child,
  Duration duration = const Duration(milliseconds: 100),
}) {
  return Fade(
    duration: duration,
    child: child,
  );
}
